Bug 1898616 - Whereabouts should exclude IPv6 ranges
Summary: Whereabouts should exclude IPv6 ranges
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard:
: 1913062 (view as bug list)
Depends On: 1898613
Blocks: 1898618
TreeView+ depends on / blocked
 
Reported: 2020-11-17 16:29 UTC by Douglas Smith
Modified: 2021-03-26 03:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1898613
: 1898618 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift whereabouts-cni pull 37 0 None open Bug 1898616: Excluded subnet handling for ipv6 [backport 4.6] 2021-03-03 07:19:53 UTC

Description Douglas Smith 2020-11-17 16:29:28 UTC
+++ This bug was initially created as a clone of Bug #1898613 +++

Description of problem: Whereabouts doesn't exclude IPv6 ranges, see: https://github.com/dougbtv/whereabouts/issues/71

How reproducible: Always


Steps to Reproduce:

Use a range like:
```
  "ipam": {
   "type": "whereabouts",
   "range": "caa5::0/112",
   "exclude": ["caa5::0/113"]
  }
```


Actual results: IP addresses are `caa5::1, caa5::2, etc...`


Expected results: First address should be `caa5::8000`


Additional info: Upstream PR @ https://github.com/dougbtv/whereabouts/pull/74 master PR @ https://github.com/openshift/whereabouts-cni/pull/36

--- Additional comment from Douglas Smith on 2020-11-17 16:26:28 UTC ---

This has been modified and merged into master @ https://github.com/openshift/whereabouts-cni/pull/36, thanks Weibin for taking a look.

Comment 2 Douglas Smith 2021-01-06 21:33:58 UTC
*** Bug 1913062 has been marked as a duplicate of this bug. ***

Comment 6 Weibin Liang 2021-03-22 15:23:09 UTC
https://github.com/openshift/whereabouts-cni/pull/37 merged 5 day ago

Verification fail in 4.6.0-0.nightly-2021-03-21-131139

Will re test it at the end of this week.

Comment 7 Weibin Liang 2021-03-25 15:35:53 UTC
Tested and verified in 4.7.0-0.nightly-2021-03-25-091845

Comment 8 Weibin Liang 2021-03-25 15:42:04 UTC
Test passed in 4.7.0-0.nightly-2021-03-25-091845,
but still failed in 4.6.0-0.nightly-2021-03-25-094616, first address is not `caa5::8000`

[weliang@weliang Config]$ oc describe pod | grep caa5
                        "caa5::8001"
                        "caa5::8001"
  Normal  AddedInterface  15s   multus             Add net1 [caa5::8001/112] from test/whereabouts-excludeipv6
                        "caa5::8002"
                        "caa5::8002"
  Normal  AddedInterface  14s   multus             Add net1 [caa5::8002/112] from test/whereabouts-excludeipv6
                        "caa5::8003"
                        "caa5::8003"
  Normal  AddedInterface  14s   multus             Add net1 [caa5::8003/112] from test/whereabouts-excludeipv6
                        "caa5::8005"
                        "caa5::8005"
  Normal  AddedInterface  13s   multus             Add net1 [caa5::8005/112] from test/whereabouts-excludeipv6
                        "caa5::8004"
                        "caa5::8004"
  Normal  AddedInterface  14s   multus             Add net1 [caa5::8004/112] from test/whereabouts-excludeipv6
[weliang@weliang Config]$


Note You need to log in before you can comment on or make changes to this bug.